# -*- coding: utf-8 -*-
=begin
  Copyright (C) 2013-2014 Takashi SUGA

  You may use and/or modify this file according to the license described in the LICENSE.txt file included in this archive.
=end

module When
  module Locale

    WikipediaLinks =
{"ja"=>
  {:ACE=>"<year>%E5%B9%B4",
   :BCE=>"%E7%B4%80%E5%85%83%E5%89%8D<year>%E5%B9%B4",
   :DAY=>"<month>%E6%9C%88<day>%E6%97%A5",
   :LSDAY=>"<month>%E6%9C%88<day>%E6%97%A5_(%E6%97%A7%E6%9A%A6)"},
 "af"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_v.C.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Januarie",
     "Februarie",
     "Maart",
     "April",
     "Mei",
     "Junie",
     "Julie",
     "Augustus",
     "September",
     "Oktober",
     "November",
     "Desember"]},
 "an"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_aC",
   :DAY=>"<day>_d<month>",
   :MONTHS=>
    ["e_chinero",
     "e_febrero",
     "e_marzo",
     "%27abril",
     "e_mayo",
     "e_chunio",
     "e_chulio",
     "%27agosto",
     "e_setiembre",
     "%27octubre",
     "e_noviembre",
     "%27aviento"]},
 "ast"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_edC",
   :DAY=>"<day>_d<month>",
   :MONTHS=>
    ["e_xineru",
     "e_febreru",
     "e_marzu",
     "%27abril",
     "e_mayu",
     "e_xunu",
     "e_xunetu",
     "%27agostu",
     "e_setiembre",
     "%27ochobre",
     "e_payares",
     "%27avientu"]},
 "az"=>
  {:ACE=>"<year>",
   :BCE=>"E.%C9%99.<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["yanvar",
     "fevral",
     "mart",
     "aprel",
     "may",
     "iyun",
     "iyul",
     "avqust",
     "sentyabr",
     "oktyabr",
     "noyabr",
     "dekabr"]},
 "be"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_%D0%B4%D0%B0_%D0%BD.%D1%8D.",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["1%81%D1%82%D1%83%D0%B4%D0%B7%D0%B5%D0%BD%D1%8F",
     "0%BB%D1%8E%D1%82%D0%B0%D0%B3%D0%B0",
     "1%81%D0%B0%D0%BA%D0%B0%D0%B2%D1%96%D0%BA%D0%B0",
     "0%BA%D1%80%D0%B0%D1%81%D0%B0%D0%B2%D1%96%D0%BA%D0%B0",
     "0%BC%D0%B0%D1%8F",
     "1%87%D1%8D%D1%80%D0%B2%D0%B5%D0%BD%D1%8F",
     "0%BB%D1%96%D0%BF%D0%B5%D0%BD%D1%8F",
     "0%B6%D0%BD%D1%96%D1%9E%D0%BD%D1%8F",
     "0%B2%D0%B5%D1%80%D0%B0%D1%81%D0%BD%D1%8F",
     "0%BA%D0%B0%D1%81%D1%82%D1%80%D1%8B%D1%87%D0%BD%D1%96%D0%BA%D0%B0",
     "0%BB%D1%96%D1%81%D1%82%D0%B0%D0%BF%D0%B0%D0%B4%D0%B0",
     "1%81%D0%BD%D0%B5%D0%B6%D0%BD%D1%8F"]},
 "be-x-old"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_%D0%B4%D0%B0_%D0%BD._%D1%8D.",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["1%81%D1%82%D1%83%D0%B4%D0%B7%D0%B5%D0%BD%D1%8F",
     "0%BB%D1%8E%D1%82%D0%B0%D0%B3%D0%B0",
     "1%81%D0%B0%D0%BA%D0%B0%D0%B2%D1%96%D0%BA%D0%B0",
     "0%BA%D1%80%D0%B0%D1%81%D0%B0%D0%B2%D1%96%D0%BA%D0%B0",
     "1%82%D1%80%D0%B0%D1%9E%D0%BD%D1%8F",
     "1%87%D1%8D%D1%80%D0%B2%D0%B5%D0%BD%D1%8F",
     "0%BB%D1%96%D0%BF%D0%B5%D0%BD%D1%8F",
     "0%B6%D0%BD%D1%96%D1%9E%D0%BD%D1%8F",
     "0%B2%D0%B5%D1%80%D0%B0%D1%81%D1%8C%D0%BD%D1%8F",
     "0%BA%D0%B0%D1%81%D1%82%D1%80%D1%8B%D1%87%D0%BD%D1%96%D0%BA%D0%B0",
     "0%BB%D1%96%D1%81%D1%82%D0%B0%D0%BF%D0%B0%D0%B4%D0%B0",
     "1%81%D1%8C%D0%BD%D0%B5%D0%B6%D0%BD%D1%8F"]},
 "bs"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_p.n.e.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["januar",
     "februar",
     "mart",
     "april",
     "maj",
     "juni",
     "juli",
     "august",
     "septembar",
     "oktobar",
     "novembar",
     "decembar"]},
 "ca"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_aC",
   :DAY=>"<day>_d<month>",
   :MONTHS=>
    ["e_gener",
     "e_febrer",
     "e_mar%C3%A7",
     "%27abril",
     "e_maig",
     "e_juny",
     "e_juliol",
     "%27agost",
     "e_setembre",
     "%27octubre",
     "e_novembre",
     "e_desembre"]},
 "cs"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_p%C5%99._n._l.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["leden",
     "%C3%BAnor",
     "b%C5%99ezen",
     "duben",
     "kv%C4%9Bten",
     "%C4%8Derven",
     "%C4%8Dervenec",
     "srpen",
     "z%C3%A1%C5%99%C3%AD",
     "%C5%99%C3%ADjen",
     "listopad",
     "prosinec"]},
 "cy"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_CC",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Ionawr",
     "Chwefror",
     "Mawrth",
     "Ebrill",
     "Mai",
     "Mehefin",
     "Gorffennaf",
     "Awst",
     "Medi",
     "Hydref",
     "Tachwedd",
     "Rhagfyr"]},
 "da"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_f.Kr.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["januar",
     "februar",
     "marts",
     "april",
     "maj",
     "juni",
     "juli",
     "august",
     "september",
     "oktober",
     "november",
     "december"]},
 "de"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_v._Chr.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["Januar",
     "Februar",
     "M%C3%A4rz",
     "April",
     "Mai",
     "Juni",
     "Juli",
     "August",
     "September",
     "Oktober",
     "November",
     "Dezember"]},
 "el"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_%CF%80.%CE%A7.",
   :DAY=>"<day>_%CE%<month>%CE%BF%CF%85",
   :MONTHS=>
    ["99%CE%B1%CE%BD%CE%BF%CF%85%CE%B1%CF%81%CE%AF",
     "A6%CE%B5%CE%B2%CF%81%CE%BF%CF%85%CE%B1%CF%81%CE%AF",
     "9C%CE%B1%CF%81%CF%84%CE%AF",
     "91%CF%80%CF%81%CE%B9%CE%BB%CE%AF",
     "9C%CE%B1%CE%90",
     "99%CE%BF%CF%85%CE%BD%CE%AF",
     "99%CE%BF%CF%85%CE%BB%CE%AF",
     "91%CF%85%CE%B3%CE%BF%CF%8D%CF%83%CF%84",
     "A3%CE%B5%CF%80%CF%84%CE%B5%CE%BC%CE%B2%CF%81%CE%AF",
     "9F%CE%BA%CF%84%CF%89%CE%B2%CF%81%CE%AF",
     "9D%CE%BF%CE%B5%CE%BC%CE%B2%CF%81%CE%AF",
     "94%CE%B5%CE%BA%CE%B5%CE%BC%CE%B2%CF%81%CE%AF"]},
 "en"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_BC",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["January",
     "February",
     "March",
     "April",
     "May",
     "June",
     "July",
     "August",
     "September",
     "October",
     "November",
     "December"]},
 "eo"=>
  {:ACE=>"<year>",
   :BCE=>"-<year>",
   :DAY=>"<day>-a_de_<month>o",
   :MONTHS=>
    ["januar",
     "februar",
     "mart",
     "april",
     "maj",
     "juni",
     "juli",
     "a%C5%ADgust",
     "septembr",
     "oktobr",
     "novembr",
     "decembr"]},
 "es"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_a._C.",
   :DAY=>"<day>_de_<month>",
   :MONTHS=>
    ["enero",
     "febrero",
     "marzo",
     "abril",
     "mayo",
     "junio",
     "julio",
     "agosto",
     "septiembre",
     "octubre",
     "noviembre",
     "diciembre"]},
 "et"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_eKr",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["jaanuar",
     "veebruar",
     "m%C3%A4rts",
     "aprill",
     "mai",
     "juuni",
     "juuli",
     "august",
     "september",
     "oktoober",
     "november",
     "detsember"]},
 "eu"=>
  {:ACE=>"<year>",
   :BCE=>"K._a._<year>",
   :DAY=>"<month>aren_<day>",
   :MONTHS=>
    ["Urtarril",
     "Otsail",
     "Martxo",
     "Apiril",
     "Maiatz",
     "Ekain",
     "Uztail",
     "Abuztu",
     "Irail",
     "Urri",
     "Azaro",
     "Abendu"]},
 "fa"=>
  {:BCE=>
    "%DB%B<year>_(%D9%BE%DB%8C%D8%B4_%D8%A7%D8%B2_%D9%85%DB%8C%D9%84%D8%A7%D8%AF)",
   :DAY=>"%DB%B<day>_%D<month>",
   :MONTHS=>
    ["A%98%D8%A7%D9%86%D9%88%DB%8C%D9%87",
     "9%81%D9%88%D8%B1%DB%8C%D9%87",
     "9%85%D8%A7%D8%B1%D8%B3",
     "8%A2%D9%88%D8%B1%DB%8C%D9%84",
     "9%85%D9%87",
     "A%98%D9%88%D8%A6%D9%86",
     "A%98%D9%88%D8%A6%DB%8C%D9%87",
     "8%A7%D9%88%D8%AA",
     "8%B3%D9%BE%D8%AA%D8%A7%D9%85%D8%A8%D8%B1",
     "8%A7%DA%A9%D8%AA%D8%A8%D8%B1",
     "9%86%D9%88%D8%A7%D9%85%D8%A8%D8%B1",
     "8%AF%D8%B3%D8%A7%D9%85%D8%A8%D8%B1"],
   :DAYS=>
    ["1",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "1%DB%B0",
     "1%DB%B1",
     "1%DB%B2",
     "1%DB%B3",
     "1%DB%B4",
     "1%DB%B5",
     "1%DB%B6",
     "1%DB%B7",
     "1%DB%B8",
     "1%DB%B9",
     "2%DB%B0",
     "2%DB%B1",
     "2%DB%B2",
     "2%DB%B3",
     "2%DB%B4",
     "2%DB%B5",
     "2%DB%B6",
     "2%DB%B7",
     "2%DB%B8",
     "2%DB%B9",
     "3%DB%B0",
     "3%DB%B1"]},
 "fi"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_eaa.",
   :DAY=>"<day>._<month>kuuta",
   :MONTHS=>
    ["tammi",
     "helmi",
     "maalis",
     "huhti",
     "touko",
     "kes%C3%A4",
     "hein%C3%A4",
     "elo",
     "syys",
     "loka",
     "marras",
     "joulu"]},
 "fr"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_av._J.-C.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["janvier",
     "f%C3%A9vrier",
     "mars",
     "avril",
     "mai",
     "juin",
     "juillet",
     "ao%C3%BBt",
     "septembre",
     "octobre",
     "novembre",
     "d%C3%A9cembre"],
   :DAYS=>
    ["1er",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20",
     "21",
     "22",
     "23",
     "24",
     "25",
     "26",
     "27",
     "28",
     "29",
     "30",
     "31"]},
 "frr"=>{:ACE=>"<year>", :BCE=>"<year>_f.Kr."},
 "fy"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_f._Kr.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["jannewaris",
     "febrewaris",
     "maart",
     "april",
     "maaie",
     "juny",
     "july",
     "augustus",
     "septimber",
     "oktober",
     "novimber",
     "desimber"]},
 "ga"=>{:ACE=>"<year>", :BCE=>"<year>_RC"},
 "gl"=>
  {:ACE=>"<year>",
   :BCE=>"-<year>",
   :DAY=>"<day>_de_<month>",
   :MONTHS=>
    ["xaneiro",
     "febreiro",
     "marzo",
     "abril",
     "maio",
     "xu%C3%B1o",
     "xullo",
     "agosto",
     "setembro",
     "outubro",
     "novembro",
     "decembro"]},
 "hr"=>
  {:ACE=>"<year>.",
   :BCE=>"<year>._pr._Kr.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["sije%C4%8Dnja",
     "velja%C4%8De",
     "o%C5%BEujka",
     "travnja",
     "svibnja",
     "lipnja",
     "srpnja",
     "kolovoza",
     "rujna",
     "listopada",
     "studenog",
     "prosinca"]},
 "hu"=>
  {:ACE=>"<year>",
   :BCE=>"I._e._<year>",
   :DAY=>"<month>_<day>.",
   :MONTHS=>
    ["Janu%C3%A1r",
     "Febru%C3%A1r",
     "M%C3%A1rcius",
     "%C3%81prilis",
     "M%C3%A1jus",
     "J%C3%BAnius",
     "J%C3%BAlius",
     "Augusztus",
     "Szeptember",
     "Okt%C3%B3ber",
     "November",
     "December"]},
 "hy"=>
  {:ACE=>"<year>",
   :BCE=>"%D5%84.%D5%A9.%D5%A1._<year>",
   :DAY=>"%D<month>%D5%AB_<day>",
   :MONTHS=>
    ["5%80%D5%B8%D6%82%D5%B6%D5%BE%D5%A1%D6%80",
     "5%93%D5%A5%D5%BF%D6%80%D5%BE%D5%A1%D6%80",
     "5%84%D5%A1%D6%80%D5%BF",
     "4%B1%D5%BA%D6%80%D5%AB%D5%AC",
     "5%84%D5%A1%D5%B5%D5%AB%D5%BD",
     "5%80%D5%B8%D6%82%D5%B6%D5%AB%D5%BD",
     "5%80%D5%B8%D6%82%D5%AC%D5%AB%D5%BD",
     "5%95%D5%A3%D5%B8%D5%BD%D5%BF%D5%B8%D5%BD",
     "5%8D%D5%A5%D5%BA%D5%BF%D5%A5%D5%B4%D5%A2%D5%A5%D6%80",
     "5%80%D5%B8%D5%AF%D5%BF%D5%A5%D5%B4%D5%A2%D5%A5%D6%80",
     "5%86%D5%B8%D5%B5%D5%A5%D5%B4%D5%A2%D5%A5%D6%80",
     "4%B4%D5%A5%D5%AF%D5%BF%D5%A5%D5%B4%D5%A2%D5%A5%D6%80"]},
 "id"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_SM",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Januari",
     "Februari",
     "Maret",
     "April",
     "Mei",
     "Juni",
     "Juli",
     "Agustus",
     "September",
     "Oktober",
     "November",
     "Desember"]},
 "io"=>{:ACE=>"<year>", :BCE=>"<year>_aK"},
 "it"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_a.C.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["gennaio",
     "febbraio",
     "marzo",
     "aprile",
     "maggio",
     "giugno",
     "luglio",
     "agosto",
     "settembre",
     "ottobre",
     "novembre",
     "dicembre"],
   :DAYS=>
    ["1%C2%BA",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20",
     "21",
     "22",
     "23",
     "24",
     "25",
     "26",
     "27",
     "28",
     "29",
     "30",
     "31"]},
 "ka"=>
  {:ACE=>"<year>",
   :BCE=>"%E1%83%AB%E1%83%95._%E1%83%AC._<year>",
   :DAY=>"<day>_%E1%83%<month>",
   :MONTHS=>
    ["98%E1%83%90%E1%83%9C%E1%83%95%E1%83%90%E1%83%A0%E1%83%98",
     "97%E1%83%94%E1%83%91%E1%83%94%E1%83%A0%E1%83%95%E1%83%90%E1%83%9A%E1%83%98",
     "9B%E1%83%90%E1%83%A0%E1%83%A2%E1%83%98",
     "90%E1%83%9E%E1%83%A0%E1%83%98%E1%83%9A%E1%83%98",
     "9B%E1%83%90%E1%83%98%E1%83%A1%E1%83%98",
     "98%E1%83%95%E1%83%9C%E1%83%98%E1%83%A1%E1%83%98",
     "98%E1%83%95%E1%83%9A%E1%83%98%E1%83%A1%E1%83%98",
     "90%E1%83%92%E1%83%95%E1%83%98%E1%83%A1%E1%83%A2%E1%83%9D",
     "A1%E1%83%94%E1%83%A5%E1%83%A2%E1%83%94%E1%83%9B%E1%83%91%E1%83%94%E1%83%A0%E1%83%98",
     "9D%E1%83%A5%E1%83%A2%E1%83%9D%E1%83%9B%E1%83%91%E1%83%94%E1%83%A0%E1%83%98",
     "9C%E1%83%9D%E1%83%94%E1%83%9B%E1%83%91%E1%83%94%E1%83%A0%E1%83%98",
     "93%E1%83%94%E1%83%99%E1%83%94%E1%83%9B%E1%83%91%E1%83%94%E1%83%A0%E1%83%98"]},
 "kk"=>
  {:ACE=>"<year>_%D0%B6%D1%8B%D0%BB",
   :BCE=>"%D0%91._%D0%B7._%D0%B4._<year>_%D0%B6%D1%8B%D0%BB",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["2%9B%D0%B0%D2%A3%D1%82%D0%B0%D1%80",
     "0%B0%D2%9B%D0%BF%D0%B0%D0%BD",
     "0%BD%D0%B0%D1%83%D1%80%D1%8B%D0%B7",
     "1%81%D3%99%D1%83%D1%96%D1%80",
     "0%BC%D0%B0%D0%BC%D1%8B%D1%80",
     "0%BC%D0%B0%D1%83%D1%81%D1%8B%D0%BC",
     "1%88%D1%96%D0%BB%D0%B4%D0%B5",
     "1%82%D0%B0%D0%BC%D1%8B%D0%B7",
     "2%9B%D1%8B%D1%80%D0%BA%D2%AF%D0%B9%D0%B5%D0%BA",
     "2%9B%D0%B0%D0%B7%D0%B0%D0%BD",
     "2%9B%D0%B0%D1%80%D0%B0%D1%88%D0%B0",
     "0%B6%D0%B5%D0%BB%D1%82%D0%BE%D2%9B%D1%81%D0%B0%D0%BD"]},
 "ko"=>
  {:ACE=>"<year>%EB%85%84",
   :BCE=>"%EA%B8%B0%EC%9B%90%EC%A0%84_<year>%EB%85%84",
   :DAY=>"<month>%EC%9B%94_<day>%EC%9D%BC",
   :LSDAY=>"%EC%9D%8C%EB%A0%A5_<month>%EC%9B%94_<day>%EC%9D%BC"},
 "la"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_a.C.n.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Ianuarii",
     "Februarii",
     "Martii",
     "Aprilis",
     "Maii",
     "Iunii",
     "Iulii",
     "Augusti",
     "Septembris",
     "Octobris",
     "Novembris",
     "Decembris"]},
 "lb"=>
  {:ACE=>"<year>",
   :BCE=>"-<year>",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["Januar",
     "Februar",
     "M%C3%A4erz",
     "Abr%C3%ABll",
     "Mee",
     "Juni",
     "Juli",
     "August",
     "September",
     "Oktober",
     "November",
     "Dezember"]},
 "lt"=>
  {:ACE=>"<year>_m.",
   :BCE=>"<year>_m._pr._m._e.",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Sausio",
     "Vasario",
     "Kovo",
     "Baland%C5%BEio",
     "Gegu%C5%BE%C4%97s",
     "Bir%C5%BEelio",
     "Liepos",
     "Rugpj%C5%AB%C4%8Dio",
     "Rugs%C4%97jo",
     "Spalio",
     "Lapkri%C4%8Dio",
     "Gruod%C5%BEio"]},
 "mk"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_%D0%BF.%D0%BD.%D0%B5.",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["1%98%D0%B0%D0%BD%D1%83%D0%B0%D1%80%D0%B8",
     "1%84%D0%B5%D0%B2%D1%80%D1%83%D0%B0%D1%80%D0%B8",
     "0%BC%D0%B0%D1%80%D1%82",
     "0%B0%D0%BF%D1%80%D0%B8%D0%BB",
     "0%BC%D0%B0%D1%98",
     "1%98%D1%83%D0%BD%D0%B8",
     "1%98%D1%83%D0%BB%D0%B8",
     "0%B0%D0%B2%D0%B3%D1%83%D1%81%D1%82",
     "1%81%D0%B5%D0%BF%D1%82%D0%B5%D0%BC%D0%B2%D1%80%D0%B8",
     "0%BE%D0%BA%D1%82%D0%BE%D0%BC%D0%B2%D1%80%D0%B8",
     "0%BD%D0%BE%D0%B5%D0%BC%D0%B2%D1%80%D0%B8",
     "0%B4%D0%B5%D0%BA%D0%B5%D0%BC%D0%B2%D1%80%D0%B8"]},
 "ms"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_SM",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Januari",
     "Februari",
     "Mac",
     "April",
     "Mei",
     "Jun",
     "Julai",
     "Ogos",
     "September",
     "Oktober",
     "November",
     "Disember"]},
 "nah"=>{:ACE=>"<year>", :BCE=>"-<year>"},
 "nap"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_AC",
   :DAY=>"<day>_%27e_<month>",
   :MONTHS=>
    ["jennaro",
     "frevaro",
     "m%C3%A0rzo",
     "abbrile",
     "maggio",
     "gi%C3%B9gno",
     "luglio",
     "a%C3%B9sto",
     "settembre",
     "ottovre",
     "nuvembre",
     "dicembre"]},
 "nds"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_v._Chr.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["Januar",
     "Februar",
     "M%C3%A4rz",
     "April",
     "Mai",
     "Juni",
     "Juli",
     "August",
     "September",
     "Oktober",
     "November",
     "Dezember"]},
 "new"=>
  {:DAY=>"%E0%A4%<month>_%E0%A5%A<day>",
   :MONTHS=>
    ["9C%E0%A5%8D%E0%A4%AF%E0%A4%BE%E0%A4%A8%E0%A5%81%E0%A4%B5%E0%A4%B0%E0%A5%80",
     "AB%E0%A5%87%E0%A4%AC%E0%A5%8D%E0%A4%B0%E0%A5%81%E0%A4%B5%E0%A4%B0%E0%A5%80",
     "AE%E0%A4%BE%E0%A4%B0%E0%A5%8D%E0%A4%9A",
     "85%E0%A4%AA%E0%A5%8D%E0%A4%B0%E0%A4%BF%E0%A4%B2",
     "AE%E0%A5%87",
     "9C%E0%A5%81%E0%A4%A8",
     "9C%E0%A5%81%E0%A4%B2%E0%A4%BE%E0%A4%88",
     "85%E0%A4%97%E0%A4%B8%E0%A5%8D%E0%A4%9F",
     "B8%E0%A5%87%E0%A4%AA%E0%A5%8D%E0%A4%9F%E0%A5%87%E0%A4%AE%E0%A5%8D%E0%A4%AC%E0%A4%B0",
     "85%E0%A4%95%E0%A5%8D%E0%A4%9F%E0%A5%8B%E0%A4%AC%E0%A4%B0",
     "A8%E0%A5%8B%E0%A4%AD%E0%A5%87%E0%A4%AE%E0%A5%8D%E0%A4%AC%E0%A4%B0",
     "A1%E0%A4%BF%E0%A4%B8%E0%A5%87%E0%A4%AE%E0%A5%8D%E0%A4%AC%E0%A4%B0"],
   :DAYS=>
    ["7",
     "8",
     "9",
     "A",
     "B",
     "C",
     "D",
     "E",
     "F",
     "7%E0%A5%A6",
     "7%E0%A5%A7",
     "7%E0%A5%A8",
     "7%E0%A5%A9",
     "7%E0%A5%AA",
     "7%E0%A5%AB",
     "7%E0%A5%AC",
     "7%E0%A5%AD",
     "7%E0%A5%AE",
     "7%E0%A5%AF",
     "8%E0%A5%A6",
     "8%E0%A5%A7",
     "8%E0%A5%A8",
     "8%E0%A5%A9",
     "8%E0%A5%AA",
     "8%E0%A5%AB",
     "8%E0%A5%AC",
     "8%E0%A5%AD",
     "8%E0%A5%AE",
     "8%E0%A5%AF",
     "9%E0%A5%A6",
     "9%E0%A5%A7"]},
 "nl"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_v.Chr.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["januari",
     "februari",
     "maart",
     "april",
     "mei",
     "juni",
     "juli",
     "augustus",
     "september",
     "oktober",
     "november",
     "december"]},
 "nn"=>
  {:ACE=>"<year>",
   :BCE=>"-<year>",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["januar",
     "februar",
     "mars",
     "april",
     "mai",
     "juni",
     "juli",
     "august",
     "september",
     "oktober",
     "november",
     "desember"]},
 "no"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_f.Kr.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["januar",
     "februar",
     "mars",
     "april",
     "mai",
     "juni",
     "juli",
     "august",
     "september",
     "oktober",
     "november",
     "desember"]},
 "oc"=>
  {:ACE=>"<year>",
   :BCE=>"-<year>",
   :DAY=>"<day>_d<month>",
   :MONTHS=>
    ["e_geni%C3%A8r",
     "e_febri%C3%A8r",
     "e_mar%C3%A7",
     "%27abril",
     "e_mai",
     "e_junh",
     "e_julhet",
     "%27agost",
     "e_setembre",
     "%27octobre",
     "e_novembre",
     "e_decembre"],
   :DAYS=>
    ["1%C3%A8r",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20",
     "21",
     "22",
     "23",
     "24",
     "25",
     "26",
     "27",
     "28",
     "29",
     "30",
     "31"]},
 "pl"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_p.n.e.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["stycznia",
     "lutego",
     "marca",
     "kwietnia",
     "maja",
     "czerwca",
     "lipca",
     "sierpnia",
     "wrze%C5%9Bnia",
     "pa%C5%BAdziernika",
     "listopada",
     "grudnia"]},
 "pt"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_a.C.",
   :DAY=>"<day>_de_<month>",
   :MONTHS=>
    ["janeiro",
     "fevereiro",
     "mar%C3%A7o",
     "abril",
     "maio",
     "junho",
     "julho",
     "agosto",
     "setembro",
     "outubro",
     "novembro",
     "dezembro"]},
 "qu"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_k%C3%B1",
   :DAY=>"<day>_%C3%B1iqin_<month>_killapi",
   :MONTHS=>
    ["qhulla_puquy",
     "hatun_puquy",
     "pawqar_waray",
     "ayriway",
     "aymuray",
     "inti_raymi",
     "anta_situwa",
     "chakra_yapuy",
     "tarpuy",
     "kantaray",
     "ayamarq%27a",
     "qhapaq_raymi"]},
 "ro"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_%C3%AE.Hr.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["ianuarie",
     "februarie",
     "martie",
     "aprilie",
     "mai",
     "iunie",
     "iulie",
     "august",
     "septembrie",
     "octombrie",
     "noiembrie",
     "decembrie"]},
 "ru"=>
  {:ACE=>"<year>_%D0%B3%D0%BE%D0%B4",
   :BCE=>"<year>_%D0%B3%D0%BE%D0%B4_%D0%B4%D0%BE_%D0%BD._%D1%8D.",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["1%8F%D0%BD%D0%B2%D0%B0%D1%80%D1%8F",
     "1%84%D0%B5%D0%B2%D1%80%D0%B0%D0%BB%D1%8F",
     "0%BC%D0%B0%D1%80%D1%82%D0%B0",
     "0%B0%D0%BF%D1%80%D0%B5%D0%BB%D1%8F",
     "0%BC%D0%B0%D1%8F",
     "0%B8%D1%8E%D0%BD%D1%8F",
     "0%B8%D1%8E%D0%BB%D1%8F",
     "0%B0%D0%B2%D0%B3%D1%83%D1%81%D1%82%D0%B0",
     "1%81%D0%B5%D0%BD%D1%82%D1%8F%D0%B1%D1%80%D1%8F",
     "0%BE%D0%BA%D1%82%D1%8F%D0%B1%D1%80%D1%8F",
     "0%BD%D0%BE%D1%8F%D0%B1%D1%80%D1%8F",
     "0%B4%D0%B5%D0%BA%D0%B0%D0%B1%D1%80%D1%8F"]},
 "rue"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_%D1%80%D1%96%D0%BA_%D0%B4%D0%BE_%D0%BD._%D0%B5.",
   :DAY=>"<day>._%D<month>",
   :MONTHS=>
    ["1%8F%D0%BD%D1%83%D0%B0%D1%80",
     "1%84%D0%B5%D0%B1%D1%80%D1%83%D0%B0%D1%80",
     "0%BC%D0%B0%D1%80%D0%B5%D1%86",
     "0%B0%D0%BF%D1%80%D1%96%D0%BB%D1%8C",
     "0%BC%D0%B0%D0%B9",
     "1%8E%D0%BD",
     "1%8E%D0%BB",
     "0%B0%D0%B2%D2%91%D1%83%D1%81%D1%82",
     "1%81%D0%B5%D0%BF%D1%82%D0%B5%D0%BC%D0%B1%D0%B5%D1%80",
     "0%BE%D0%BA%D1%82%D0%BE%D0%B1%D0%B5%D1%80",
     "0%BD%D0%BE%D0%B2%D0%B5%D0%BC%D0%B1%D0%B5%D1%80",
     "0%B4%D0%B5%D1%86%D0%B5%D0%BC%D0%B1%D0%B5%D1%80"]},
 "sh"=>{:ACE=>"<year>", :BCE=>"<year>._pne.", :DAY=>"<day>._<month>."},
 "simple"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_BC",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["January",
     "February",
     "March",
     "April",
     "May",
     "June",
     "July",
     "August",
     "September",
     "October",
     "November",
     "December"]},
 "sk"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_pred_Kr.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["janu%C3%A1r",
     "febru%C3%A1r",
     "marec",
     "apr%C3%ADl",
     "m%C3%A1j",
     "j%C3%BAn",
     "j%C3%BAl",
     "august",
     "september",
     "okt%C3%B3ber",
     "november",
     "december"]},
 "sl"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_pr._n._%C5%A1t.",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["januar",
     "februar",
     "marec",
     "april",
     "maj",
     "junij",
     "julij",
     "avgust",
     "september",
     "oktober",
     "november",
     "december"]},
 "sq"=>{:ACE=>"<year>", :BCE=>"<year>_p.e.s."},
 "sr"=>
  {:ACE=>"<year>",
   :BCE=>"<year>._%D0%BF._%D0%BD._%D0%B5.",
   :DAY=>"<day>._%D<month>",
   :MONTHS=>
    ["1%98%D0%B0%D0%BD%D1%83%D0%B0%D1%80",
     "1%84%D0%B5%D0%B1%D1%80%D1%83%D0%B0%D1%80",
     "0%BC%D0%B0%D1%80%D1%82",
     "0%B0%D0%BF%D1%80%D0%B8%D0%BB",
     "0%BC%D0%B0%D1%98",
     "1%98%D1%83%D0%BD",
     "1%98%D1%83%D0%BB",
     "0%B0%D0%B2%D0%B3%D1%83%D1%81%D1%82",
     "1%81%D0%B5%D0%BF%D1%82%D0%B5%D0%BC%D0%B1%D0%B0%D1%80",
     "0%BE%D0%BA%D1%82%D0%BE%D0%B1%D0%B0%D1%80",
     "0%BD%D0%BE%D0%B2%D0%B5%D0%BC%D0%B1%D0%B0%D1%80",
     "0%B4%D0%B5%D1%86%D0%B5%D0%BC%D0%B1%D0%B0%D1%80"]},
 "su"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_SM",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Januari",
     "P%C3%A9bruari",
     "Maret",
     "April",
     "M%C3%A9i",
     "Juni",
     "Juli",
     "Agustus",
     "S%C3%A9pt%C3%A9mber",
     "Oktober",
     "Nop%C3%A9mber",
     "D%C3%A9s%C3%A9mber"]},
 "sv"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_f.Kr.",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["januari",
     "februari",
     "mars",
     "april",
     "maj",
     "juni",
     "juli",
     "augusti",
     "september",
     "oktober",
     "november",
     "december"]},
 "sw"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_KK",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Januari",
     "Februari",
     "Machi",
     "Aprili",
     "Mei",
     "Juni",
     "Julai",
     "Agosti",
     "Septemba",
     "Oktoba",
     "Novemba",
     "Desemba"]},
 "th"=>
  {:DAY=>"<day>_%E0%B<month>",
   :MONTHS=>
    ["8%A1%E0%B8%81%E0%B8%A3%E0%B8%B2%E0%B8%84%E0%B8%A1",
     "8%81%E0%B8%B8%E0%B8%A1%E0%B8%A0%E0%B8%B2%E0%B8%9E%E0%B8%B1%E0%B8%99%E0%B8%98%E0%B9%8C",
     "8%A1%E0%B8%B5%E0%B8%99%E0%B8%B2%E0%B8%84%E0%B8%A1",
     "9%80%E0%B8%A1%E0%B8%A9%E0%B8%B2%E0%B8%A2%E0%B8%99",
     "8%9E%E0%B8%A4%E0%B8%A9%E0%B8%A0%E0%B8%B2%E0%B8%84%E0%B8%A1",
     "8%A1%E0%B8%B4%E0%B8%96%E0%B8%B8%E0%B8%99%E0%B8%B2%E0%B8%A2%E0%B8%99",
     "8%81%E0%B8%A3%E0%B8%81%E0%B8%8E%E0%B8%B2%E0%B8%84%E0%B8%A1",
     "8%AA%E0%B8%B4%E0%B8%87%E0%B8%AB%E0%B8%B2%E0%B8%84%E0%B8%A1",
     "8%81%E0%B8%B1%E0%B8%99%E0%B8%A2%E0%B8%B2%E0%B8%A2%E0%B8%99",
     "8%95%E0%B8%B8%E0%B8%A5%E0%B8%B2%E0%B8%84%E0%B8%A1",
     "8%9E%E0%B8%A4%E0%B8%A8%E0%B8%88%E0%B8%B4%E0%B8%81%E0%B8%B2%E0%B8%A2%E0%B8%99",
     "8%98%E0%B8%B1%E0%B8%99%E0%B8%A7%E0%B8%B2%E0%B8%84%E0%B8%A1"]},
 "tk"=>
  {:ACE=>"<year>",
   :BCE=>"B.e.%C3%B6%C5%88_<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["%C3%BDanwar",
     "fewral",
     "mart",
     "aprel",
     "ma%C3%BD",
     "i%C3%BDun",
     "i%C3%BDul",
     "awgust",
     "sent%C3%BDabr",
     "okt%C3%BDabr",
     "no%C3%BDabr",
     "dekabr"]},
 "tl"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_BC",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Enero",
     "Pebrero",
     "Marso",
     "Abril",
     "Mayo",
     "Hunyo",
     "Hulyo",
     "Agosto",
     "Setyembre",
     "Oktubre",
     "Nobyembre",
     "Disyembre"]},
 "tr"=>
  {:ACE=>"<year>",
   :BCE=>"M%C3%96_<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Ocak",
     "%C5%9Eubat",
     "Mart",
     "Nisan",
     "May%C4%B1s",
     "Haziran",
     "Temmuz",
     "A%C4%9Fustos",
     "Eyl%C3%BCl",
     "Ekim",
     "Kas%C4%B1m",
     "Aral%C4%B1k"]},
 "uk"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_%D0%B4%D0%BE_%D0%BD._%D0%B5.",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["1%81%D1%96%D1%87%D0%BD%D1%8F",
     "0%BB%D1%8E%D1%82%D0%BE%D0%B3%D0%BE",
     "0%B1%D0%B5%D1%80%D0%B5%D0%B7%D0%BD%D1%8F",
     "0%BA%D0%B2%D1%96%D1%82%D0%BD%D1%8F",
     "1%82%D1%80%D0%B0%D0%B2%D0%BD%D1%8F",
     "1%87%D0%B5%D1%80%D0%B2%D0%BD%D1%8F",
     "0%BB%D0%B8%D0%BF%D0%BD%D1%8F",
     "1%81%D0%B5%D1%80%D0%BF%D0%BD%D1%8F",
     "0%B2%D0%B5%D1%80%D0%B5%D1%81%D0%BD%D1%8F",
     "0%B6%D0%BE%D0%B2%D1%82%D0%BD%D1%8F",
     "0%BB%D0%B8%D1%81%D1%82%D0%BE%D0%BF%D0%B0%D0%B4%D0%B0",
     "0%B3%D1%80%D1%83%D0%B4%D0%BD%D1%8F"]},
 "uz"=>
  {:ACE=>"<year>",
   :BCE=>"Mil._av._<year>",
   :DAY=>"<day>-<month>",
   :MONTHS=>
    ["yanvar",
     "fevral",
     "mart",
     "aprel",
     "may",
     "iyun",
     "iyul",
     "avgust",
     "sentabr",
     "oktabr",
     "noyabr",
     "dekabr"]},
 "vec"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_a.C.",
   :DAY=>"<day>_de_<month>",
   :MONTHS=>
    ["genaro",
     "febraro",
     "marso",
     "apri%C5%82e",
     "majo",
     "giugno",
     "lujo",
     "agosto",
     "setenbre",
     "otobre",
     "novenbre",
     "di%C3%A7enbre"],
   :DAYS=>
    ["1%C2%B0",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20",
     "21",
     "22",
     "23",
     "24",
     "25",
     "26",
     "27",
     "28",
     "29",
     "30",
     "31"]},
 "vi"=>{:ACE=>"<year>", :BCE=>"<year>_TCN"},
 "vo"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_b.K.",
   :DAY=>"<month>ul_<day>",
   :MONTHS=>
    ["Yan",
     "Feb",
     "M%C3%A4z",
     "Pril",
     "May",
     "Yun",
     "Yul",
     "Gust",
     "Set",
     "Tob",
     "Nov",
     "Dek"]},
 "war"=>
  {:ACE=>"<year>",
   :BCE=>"<year>_UC",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Enero",
     "Pebrero",
     "Marso",
     "Abril",
     "Mayo",
     "Hunyo",
     "Hulyo",
     "Agosto",
     "Septyembre",
     "Oktubre",
     "Nobyembre",
     "Disyembre"]},
 "yo"=>{:ACE=>"<year>", :BCE=>"<year>_SK"},
 "zh"=>
  {:ACE=>"<year>%E5%B9%B4",
   :BCE=>"%E5%89%8D<year>%E5%B9%B4",
   :DAY=>"<month>%E6%9C%88<day>%E6%97%A5",
   :LSDAY=>"%E<month>%E6%9C%88%E<day>",
   :LSMONTHS=>
    ["6%AD%A3",
     "4%BA%8C",
     "4%B8%89",
     "5%9B%9B",
     "4%BA%94",
     "5%85%AD",
     "4%B8%83",
     "5%85%AB",
     "4%B9%9D",
     "5%8D%81",
     "5%8D%81%E4%B8%80",
     "5%8D%81%E4%BA%8C"],
   :LSDAYS=>
    ["5%88%9D%E4%B8%80",
     "5%88%9D%E4%BA%8C",
     "5%88%9D%E4%B8%89",
     "5%88%9D%E5%9B%9B",
     "5%88%9D%E4%BA%94",
     "5%88%9D%E5%85%AD",
     "5%88%9D%E4%B8%83",
     "5%88%9D%E5%85%AB",
     "5%88%9D%E4%B9%9D",
     "5%88%9D%E5%8D%81",
     "5%8D%81%E4%B8%80",
     "5%8D%81%E4%BA%8C",
     "5%8D%81%E4%B8%89",
     "5%8D%81%E5%9B%9B",
     "5%8D%81%E4%BA%94",
     "5%8D%81%E5%85%AD",
     "5%8D%81%E4%B8%83",
     "5%8D%81%E5%85%AB",
     "5%8D%81%E4%B9%9D",
     "4%BA%8C%E5%8D%81",
     "5%BB%BF%E4%B8%80",
     "5%BB%BF%E4%BA%8C",
     "5%BB%BF%E4%B8%89",
     "5%BB%BF%E5%9B%9B",
     "5%BB%BF%E4%BA%94",
     "5%BB%BF%E5%85%AD",
     "5%BB%BF%E4%B8%83",
     "5%BB%BF%E5%85%AB",
     "5%BB%BF%E4%B9%9D",
     "4%B8%89%E5%8D%81"]},
 "gv"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Jerrey_Geuree",
     "Toshiaght_Arree",
     "Mart",
     "Averil",
     "Boaldyn",
     "Mean_Souree",
     "Jerrey_Souree",
     "Luanistyn",
     "Mean_Fouyir",
     "Jerrey_Fouyir",
     "Mee_Houney",
     "Mee_ny_Nollick"]},
 "ia"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_de_<month>",
   :MONTHS=>
    ["januario",
     "februario",
     "martio",
     "april",
     "maio",
     "junio",
     "julio",
     "augusto",
     "septembre",
     "octobre",
     "novembre",
     "decembre"]},
 "ku"=>
  {:ACE=>"<year>",
   :DAY=>"<day>%27%C3%AA_<month>%C3%AA",
   :MONTHS=>
    ["r%C3%AAbendan",
     "re%C5%9Femiy",
     "adar",
     "avr%C3%AAl",
     "gulan",
     "p%C3%BB%C5%9Fper",
     "t%C3%AErmeh",
     "gelaw%C3%AAj",
     "rezber",
     "kew%C3%A7%C3%AAr",
     "sermawez",
     "berfanbar"]},
 "zh-yue"=>
  {:ACE=>"<year>%E5%B9%B4",
   :DAY=>"<month>%E6%9C%88<day>%E8%99%9F",
   :LSDAY=>"%E<month>%E6%9C%88%E<day>",
   :LSMONTHS=>
    ["6%AD%A3",
     "4%BA%8C",
     "4%B8%89",
     "5%9B%9B",
     "4%BA%94",
     "5%85%AD",
     "4%B8%83",
     "5%85%AB",
     "4%B9%9D",
     "5%8D%81",
     "5%8D%81%E4%B8%80",
     "5%8D%81%E4%BA%8C"],
   :LSDAYS=>
    ["5%88%9D%E4%B8%80",
     "5%88%9D%E4%BA%8C",
     "5%88%9D%E4%B8%89",
     "5%88%9D%E5%9B%9B",
     "5%88%9D%E4%BA%94",
     "5%88%9D%E5%85%AD",
     "5%88%9D%E4%B8%83",
     "5%88%9D%E5%85%AB",
     "5%88%9D%E4%B9%9D",
     "5%88%9D%E5%8D%81",
     "5%8D%81%E4%B8%80",
     "5%8D%81%E4%BA%8C",
     "5%8D%81%E4%B8%89",
     "5%8D%81%E5%9B%9B",
     "5%8D%81%E4%BA%94",
     "5%8D%81%E5%85%AD",
     "5%8D%81%E4%B8%83",
     "5%8D%81%E5%85%AB",
     "5%8D%81%E4%B9%9D",
     "4%BA%8C%E5%8D%81",
     "5%BB%BF%E4%B8%80",
     "5%BB%BF%E4%BA%8C",
     "5%BB%BF%E4%B8%89",
     "5%BB%BF%E5%9B%9B",
     "5%BB%BF%E4%BA%94",
     "5%BB%BF%E5%85%AD",
     "5%BB%BF%E4%B8%83",
     "5%BB%BF%E5%85%AB",
     "5%BB%BF%E4%B9%9D",
     "4%B8%89%E5%8D%81"]},
 "am"=>{:ACE=>"<year>_%E1%8A%A5.%E1%8A%A4.%E1%8A%A0."},
 "ar"=>
  {:ACE=>"%D9%85%D9%84%D8%AD%D9%82:<year>",
   :DAY=>"%D9%85%D9%84%D8%AD%D9%82:<day>_%D<month>",
   :MONTHS=>
    ["9%8A%D9%86%D8%A7%D9%8A%D8%B1",
     "9%81%D8%A8%D8%B1%D8%A7%D9%8A%D8%B1",
     "9%85%D8%A7%D8%B1%D8%B3",
     "8%A3%D8%A8%D8%B1%D9%8A%D9%84",
     "9%85%D8%A7%D9%8A%D9%88",
     "9%8A%D9%88%D9%86%D9%8A%D9%88",
     "9%8A%D9%88%D9%84%D9%8A%D9%88",
     "8%A3%D8%BA%D8%B3%D8%B7%D8%B3",
     "8%B3%D8%A8%D8%AA%D9%85%D8%A8%D8%B1",
     "8%A3%D9%83%D8%AA%D9%88%D8%A8%D8%B1",
     "9%86%D9%88%D9%81%D9%85%D8%A8%D8%B1",
     "8%AF%D9%8A%D8%B3%D9%85%D8%A8%D8%B1"]},
 "arz"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["9%8A%D9%86%D8%A7%D9%8A%D8%B1",
     "9%81%D8%A8%D8%B1%D8%A7%D9%8A%D8%B1",
     "9%85%D8%A7%D8%B1%D8%B3",
     "8%A7%D8%A8%D8%B1%D9%8A%D9%84",
     "9%85%D8%A7%D9%8A%D9%88",
     "9%8A%D9%88%D9%86%D9%8A%D9%87",
     "9%8A%D9%88%D9%84%D9%8A%D9%87",
     "8%A7%D8%BA%D8%B3%D8%B7%D8%B3",
     "8%B3%D8%A8%D8%AA%D9%85%D8%A8%D8%B1",
     "8%A7%D9%83%D8%AA%D9%88%D8%A8%D8%B1",
     "9%86%D9%88%D9%81%D9%85%D8%A8%D8%B1",
     "8%AF%D9%8A%D8%B3%D9%85%D8%A8%D8%B1"]},
 "av"=>{:ACE=>"<year>"},
 "ay"=>{:ACE=>"<year>"},
 "bat-smg"=>
  {:ACE=>"<year>",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Saus%C4%97",
     "Vasar%C4%97",
     "Kuova",
     "Balond%C4%97",
     "Gego%C5%BE%C4%97",
     "B%C4%97r%C5%BEel%C4%97",
     "L%C4%97ipas",
     "Rogpj%C5%ABt%C4%97",
     "Siej%C4%97s",
     "Spal%C4%97",
     "Lapkrist%C4%97",
     "Groud%C4%97"]},
 "bcl"=>
  {:ACE=>"<year>",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Enero",
     "Pebrero",
     "Marso",
     "Abril",
     "Mayo",
     "Hunyo",
     "Hulyo",
     "Agosto",
     "Setyembre",
     "Oktobre",
     "Nobyembre",
     "Desyembre"]},
 "bg"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["1%8F%D0%BD%D1%83%D0%B0%D1%80%D0%B8",
     "1%84%D0%B5%D0%B2%D1%80%D1%83%D0%B0%D1%80%D0%B8",
     "0%BC%D0%B0%D1%80%D1%82",
     "0%B0%D0%BF%D1%80%D0%B8%D0%BB",
     "0%BC%D0%B0%D0%B9",
     "1%8E%D0%BD%D0%B8",
     "1%8E%D0%BB%D0%B8",
     "0%B0%D0%B2%D0%B3%D1%83%D1%81%D1%82",
     "1%81%D0%B5%D0%BF%D1%82%D0%B5%D0%BC%D0%B2%D1%80%D0%B8",
     "0%BE%D0%BA%D1%82%D0%BE%D0%BC%D0%B2%D1%80%D0%B8",
     "0%BD%D0%BE%D0%B5%D0%BC%D0%B2%D1%80%D0%B8",
     "0%B4%D0%B5%D0%BA%D0%B5%D0%BC%D0%B2%D1%80%D0%B8"]},
 "br"=>{:ACE=>"<year>"},
 "ceb"=>
  {:ACE=>"<year>",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Enero",
     "Pebrero",
     "Marso",
     "Abril",
     "Mayo",
     "Hunyo",
     "Hulyo",
     "Agosto",
     "Septiyembre",
     "Oktubre",
     "Nobiyembre",
     "Disyembre"]},
 "co"=>{:ACE=>"<year>"},
 "crh"=>{:ACE=>"<year>"},
 "csb"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>a",
   :MONTHS=>
    ["st%C3%ABcznik",
     "gromicznik",
     "strumiannik",
     "%C5%82%C5%BC%C3%ABkwi%C3%B4t",
     "m%C3%B4j",
     "czerwi%C5%84c",
     "l%C3%ABpinc",
     "z%C3%A9lnik",
     "s%C3%A9wnik",
     "rujan",
     "l%C3%ABstopadnik",
     "g%C3%B2dnik"]},
 "cv"=>
  {:ACE=>"<year>",
   :DAY=>"%<month>,_<day>",
   :MONTHS=>
    ["D0%9A%C4%83%D1%80%D0%BB%D0%B0%D1%87",
     "D0%9D%D0%B0%D1%80%C4%83%D1%81",
     "D0%9F%D1%83%D1%88",
     "D0%90%D0%BA%D0%B0",
     "C3%87%D1%83",
     "C3%87%C4%95%D1%80%D1%82%D0%BC%D0%B5",
     "D0%A3%D1%82%C4%83",
     "C3%87%D1%83%D1%80%D0%BB%D0%B0",
     "D0%90%D0%B2%C4%83%D0%BD",
     "D0%AE%D0%BF%D0%B0",
     "D0%A7%D3%B3%D0%BA",
     "D0%A0%D0%B0%D1%88%D1%82%D0%B0%D0%B2"]},
 "diq"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["%C3%87ele",
     "%C5%9E%C4%B1bat",
     "Adar",
     "Nisane",
     "Gulane",
     "Heziran",
     "Temuz",
     "Tebaxe",
     "Ke%C5%9Fkelun",
     "T%C4%B1%C5%9Frino_Ver%C3%AAn",
     "T%C4%B1%C5%9Frino_Pey%C3%AAn",
     "Kanun"]},
 "fiu-vro"=>
  {:ACE=>"<year>",
   :DAY=>"<day>._<month>kuu_p%C3%A4iv",
   :MONTHS=>
    ["vahts%C3%B5aasta",
     "rado",
     "urb%C3%B5",
     "mahla",
     "lehe",
     "piim%C3%A4",
     "haina",
     "p%C3%B5imu",
     "s%C3%BCk%C3%BCs",
     "rehe",
     "m%C3%A4rte",
     "joulu"]},
 "fo"=>
  {:ACE=>"<year>",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["januar",
     "februar",
     "mars",
     "apr%C3%ADl",
     "mai",
     "juni",
     "juli",
     "august",
     "september",
     "oktober",
     "november",
     "desember"]},
 "frp"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["janvi%C3%A9r",
     "fevri%C3%A9r",
     "m%C3%A2rs",
     "avril",
     "m%C3%AA",
     "jouen",
     "j%C2%B7uly%C3%A8t",
     "o%C3%BBt",
     "septembro",
     "octobro",
     "novembro",
     "d%C3%A8cembro"],
   :DAYS=>
    ["1%C3%A9r",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20",
     "21",
     "22",
     "23",
     "24",
     "25",
     "26",
     "27",
     "28",
     "29",
     "30",
     "31"]},
 "fur"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_di_<month>",
   :MONTHS=>
    ["Zen%C3%A2r",
     "Fevr%C3%A2r",
     "Mar%C3%A7",
     "Avr%C3%AEl",
     "Mai",
     "Jugn",
     "Lui",
     "Avost",
     "Setembar",
     "Otubar",
     "Novembar",
     "Dicembar"]},
 "gag"=>{:ACE=>"<year>"},
 "gan"=>{:ACE=>"<year>%E5%B9%B4", :DAY=>"<month>%E6%9C%88<day>%E8%99%9F"},
 "gd"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_a<month>",
   :MONTHS=>
    ["m_Faoilleach",
     "n_Gearran",
     "m_M%C3%A0rt",
     "n_Giblean",
     "n_C%C3%A8itean",
     "n_t-%C3%92gmhios",
     "n_t-Iuchar",
     "n_L%C3%B9nastal",
     "n_t-Sultain",
     "n_D%C3%A0mhair",
     "n_t-Samhain",
     "n_D%C3%B9bhlachd"]},
 "gn"=>{:ACE=>"<year>"},
 "haw"=>{:ACE=>"<year>"},
 "he"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_%D7%91%D7%<month>",
   :MONTHS=>
    ["99%D7%A0%D7%95%D7%90%D7%A8",
     "A4%D7%91%D7%A8%D7%95%D7%90%D7%A8",
     "9E%D7%A8%D7%A5",
     "90%D7%A4%D7%A8%D7%99%D7%9C",
     "9E%D7%90%D7%99",
     "99%D7%95%D7%A0%D7%99",
     "99%D7%95%D7%9C%D7%99",
     "90%D7%95%D7%92%D7%95%D7%A1%D7%98",
     "A1%D7%A4%D7%98%D7%9E%D7%91%D7%A8",
     "90%D7%95%D7%A7%D7%98%D7%95%D7%91%D7%A8",
     "A0%D7%95%D7%91%D7%9E%D7%91%D7%A8",
     "93%D7%A6%D7%9E%D7%91%D7%A8"]},
 "hif"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["January",
     "February",
     "March",
     "April",
     "May",
     "June",
     "July",
     "August",
     "September",
     "October",
     "November",
     "December"]},
 "ht"=>
  {:ACE=>"<year>_(almanak_gregoryen)",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["janvye",
     "fevriye",
     "mas",
     "avril",
     "me",
     "jen",
     "jiy%C3%A8",
     "out",
     "septanm",
     "okt%C3%B2b",
     "novanm",
     "desanm"],
   :DAYS=>
    ["1e",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20",
     "21",
     "22",
     "23",
     "24",
     "25",
     "26",
     "27",
     "28",
     "29",
     "30",
     "31"]},
 "ig"=>{:ACE=>"<year>"},
 "ilo"=>
  {:ACE=>"<year>",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Enero",
     "Pebrero",
     "Marso",
     "Abril",
     "Mayo",
     "Hunio",
     "Hulio",
     "Agosto",
     "Septiembre",
     "Oktubre",
     "Nobiembre",
     "Disiembre"]},
 "is"=>
  {:ACE=>"<year>",
   :DAY=>"<day>._<month>",
   :MONTHS=>
    ["jan%C3%BAar",
     "febr%C3%BAar",
     "mars",
     "apr%C3%ADl",
     "ma%C3%AD",
     "j%C3%BAn%C3%AD",
     "j%C3%BAl%C3%AD",
     "%C3%A1g%C3%BAst",
     "september",
     "okt%C3%B3ber",
     "n%C3%B3vember",
     "desember"]},
 "jbo"=>{:ACE=>"<year>moi"},
 "jv"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Januari",
     "Februari",
     "Maret",
     "April",
     "Mei",
     "Juni",
     "Juli",
     "Agustus",
     "September",
     "Oktober",
     "November",
     "Desember"]},
 "kn"=>
  {:DAY=>"%E0%B2%<month>_%E0%B3%A<day>",
   :MONTHS=>
    ["9C%E0%B2%A8%E0%B2%B5%E0%B2%B0%E0%B2%BF",
     "AB%E0%B3%86%E0%B2%AC%E0%B3%8D%E0%B2%B0%E0%B3%81%E0%B2%B5%E0%B2%B0%E0%B2%BF",
     "AE%E0%B2%BE%E0%B2%B0%E0%B3%8D%E0%B2%9A%E0%B3%8D",
     "8F%E0%B2%AA%E0%B3%8D%E0%B2%B0%E0%B2%BF%E0%B2%B2%E0%B3%8D",
     "AE%E0%B3%87",
     "9C%E0%B3%82%E0%B2%A8%E0%B3%8D",
     "9C%E0%B3%81%E0%B2%B2%E0%B3%88",
     "86%E0%B2%97%E0%B2%B8%E0%B3%8D%E0%B2%9F%E0%B3%8D",
     "B8%E0%B3%86%E0%B2%AA%E0%B3%8D%E0%B2%9F%E0%B3%86%E0%B2%82%E0%B2%AC%E0%B2%B0%E0%B3%8D",
     "85%E0%B2%95%E0%B3%8D%E0%B2%9F%E0%B3%8B%E0%B2%AC%E0%B2%B0%E0%B3%8D",
     "A8%E0%B2%B5%E0%B3%86%E0%B2%82%E0%B2%AC%E0%B2%B0%E0%B3%8D",
     "A1%E0%B2%BF%E0%B2%B8%E0%B3%86%E0%B2%82%E0%B2%AC%E0%B2%B0%E0%B3%8D"],
   :DAYS=>
    ["7",
     "8",
     "9",
     "A",
     "B",
     "C",
     "D",
     "E",
     "F",
     "7%E0%B3%A6",
     "7%E0%B3%A7",
     "7%E0%B3%A8",
     "7%E0%B3%A9",
     "7%E0%B3%AA",
     "7%E0%B3%AB",
     "7%E0%B3%AC",
     "7%E0%B3%AD",
     "7%E0%B3%AE",
     "7%E0%B3%AF",
     "8%E0%B3%A6",
     "8%E0%B3%A7",
     "8%E0%B3%A8",
     "8%E0%B3%A9",
     "8%E0%B3%AA",
     "8%E0%B3%AB",
     "8%E0%B3%AC",
     "8%E0%B3%AD",
     "8%E0%B3%AE",
     "8%E0%B3%AF",
     "9%E0%B3%A6",
     "9%E0%B3%A7"]},
 "krc"=>{:ACE=>"<year>_%D0%B4%D0%B6%D1%8B%D0%BB"},
 "ksh"=>{:ACE=>"Joohr_<year>"},
 "kv"=>
  {:ACE=>"<year>_%D0%B2%D0%BE",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["1%82%D3%A7%D0%B2_%D1%88%D3%A7%D1%80",
     "1%83%D1%80%D0%B0%D1%81%D1%8C%D3%A7%D0%BC",
     "1%80%D0%B0%D0%BA%D0%B0",
     "0%BA%D0%BE%D1%81_%D0%BC%D1%83",
     "0%BE%D0%B4%D0%B0_%D0%BA%D0%BE%D1%80%D0%B0",
     "0%BB%D3%A7%D0%B4%D0%B4%D0%B7%D0%B0-%D0%BD%D0%BE%D0%BC%D1%8A%D1%8F",
     "1%81%D0%BE%D1%80%D0%B0",
     "0%BC%D0%BE%D0%B7",
     "0%BA%D3%A7%D1%87",
     "0%B9%D0%B8%D1%80%D1%8B%D0%BC",
     "0%B2%D3%A7%D0%BB%D1%8C%D0%B3%D1%8B%D0%BC",
     "3%A7%D1%88%D1%8B%D0%BC"]},
 "kw"=>{:ACE=>"<year>"},
 "ky"=>{:ACE=>"<year>"},
 "li"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["jannewarie",
     "fibberwarie",
     "miert",
     "april",
     "mei",
     "juni",
     "juli",
     "augustus",
     "september",
     "oktober",
     "november",
     "december"]},
 "lij"=>{:ACE=>"<year>"},
 "lmo"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12"],
   :DAYS=>
    ["01",
     "02",
     "03",
     "04",
     "05",
     "06",
     "07",
     "08",
     "09",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20",
     "21",
     "22",
     "23",
     "24",
     "25",
     "26",
     "27",
     "28",
     "29",
     "30",
     "31"]},
 "ln"=>{:ACE=>"<year>"},
 "lv"=>
  {:ACE=>"<year>._gads",
   :DAY=>"<day>._<month>s",
   :MONTHS=>
    ["janv%C4%81ri",
     "febru%C4%81ri",
     "mart",
     "apr%C4%ABli",
     "maij",
     "j%C5%ABnij",
     "j%C5%ABlij",
     "august",
     "septembri",
     "oktobri",
     "novembri",
     "decembri"]},
 "map-bms"=>{:ACE=>"<year>"},
 "mdf"=>{:ACE=>"<year>"},
 "mhr"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["0%A8%D0%BE%D1%80%D1%8B%D0%BA%D0%B9%D0%BE%D0%BB",
     "0%9F%D1%83%D1%80%D0%B3%D1%8B%D0%B6",
     "3%B0%D1%8F%D1%80%D0%BD%D1%8F",
     "0%92%D3%B1%D0%B4%D1%88%D0%BE%D1%80",
     "0%90%D0%B3%D0%B0",
     "0%9F%D0%B5%D0%BB%D0%B5%D0%B4%D1%8B%D1%88",
     "0%A1%D3%B1%D1%80%D0%B5%D0%BC",
     "0%A1%D0%BE%D1%80%D0%BB%D0%B0",
     "0%98%D0%B4%D1%8B%D0%BC",
     "0%A8%D1%8B%D0%B6%D0%B0",
     "0%9A%D1%8B%D0%BB%D0%BC%D0%B5",
     "0%A2%D0%B5%D0%BB%D0%B5"]},
 "mi"=>{:ACE=>"<year>"},
 "min"=>{:ACE=>"<year>"},
 "ml"=>{:ACE=>"<year>"},
 "mn"=>{:ACE=>"<year>_%D0%BE%D0%BD"},
 "myv"=>{:ACE=>"<year>_%D0%B8%D0%B5"},
 "nds-nl"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["jannewaori",
     "febrewaori",
     "meert",
     "april",
     "meie",
     "juni",
     "juli",
     "augustus",
     "september",
     "oktober",
     "november",
     "december"]},
 "nov"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_de_<month>e",
   :MONTHS=>
    ["januar",
     "februar",
     "mart",
     "april",
     "may",
     "jun",
     "juli",
     "august",
     "septembr",
     "oktobr",
     "novembr",
     "desembr"]},
 "nrm"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["Janvyi",
     "F%C3%A9vri",
     "Mar",
     "Avri",
     "Mai",
     "Ju%C3%AEn",
     "Juilet",
     "Ao%C3%BBt",
     "Septembre",
     "Octobre",
     "Novembre",
     "D%C3%A9zembre"]},
 "os"=>{:ACE=>"<year>-%C3%A6%D0%BC_%D0%B0%D0%B7"},
 "pag"=>{:ACE=>"<year>"},
 "pam"=>
  {:ACE=>"<year>",
   :DAY=>"<month>_<day>",
   :MONTHS=>
    ["Eneru",
     "Pebreru",
     "Marsu",
     "Abril",
     "Mayu",
     "Juniu",
     "Juliu",
     "Agostu",
     "Septiembri",
     "Octubri",
     "Nobiembri",
     "Disiembri"]},
 "pap"=>{:ACE=>"<year>"},
 "pnb"=>{:ACE=>"<year>"},
 "sah"=>
  {:ACE=>"<year>",
   :DAY=>"%D0%<month>_<day>",
   :MONTHS=>
    ["A2%D0%BE%D1%85%D1%81%D1%83%D0%BD%D0%BD%D1%8C%D1%83",
     "9E%D0%BB%D1%83%D0%BD%D0%BD%D1%8C%D1%83",
     "9A%D1%83%D0%BB%D1%83%D0%BD_%D1%82%D1%83%D1%82%D0%B0%D1%80",
     "9C%D1%83%D1%83%D1%81_%D1%83%D1%81%D1%82%D0%B0%D1%80",
     "AB%D0%B0%D0%BC_%D1%8B%D0%B9%D1%8B%D0%BD",
     "91%D1%8D%D1%81_%D1%8B%D0%B9%D1%8B%D0%BD",
     "9E%D1%82_%D1%8B%D0%B9%D1%8B%D0%BD",
     "90%D1%82%D1%8B%D1%80%D0%B4%D1%8C%D0%B0%D1%85_%D1%8B%D0%B9%D1%8B%D0%BD",
     "91%D0%B0%D0%BB%D0%B0%D2%95%D0%B0%D0%BD_%D1%8B%D0%B9%D1%8B%D0%BD",
     "90%D0%BB%D1%82%D1%8B%D0%BD%D0%BD%D1%8C%D1%8B",
     "A1%D1%8D%D1%82%D0%B8%D0%BD%D0%BD%D1%8C%D0%B8",
     "90%D1%85%D1%81%D1%8B%D0%BD%D0%BD%D1%8C%D1%8B"]},
 "scn"=>{:ACE=>"<year>"},
 "sco"=>
  {:DAY=>"<day>_<month>",
   :MONTHS=>
    ["Januar",
     "Februar",
     "Mairch",
     "Aprile",
     "Mey",
     "Juin",
     "Julie",
     "August",
     "September",
     "October",
     "November",
     "December"]},
 "se"=>{:ACE=>"<year>"},
 "so"=>{:ACE=>"<year>"},
 "stq"=>{:ACE=>"<year>"},
 "ta"=>{:ACE=>"<year>"},
 "te"=>
  {:ACE=>"<year>",
   :DAY=>"%E0%B0%<month>_<day>",
   :MONTHS=>
    ["9C%E0%B0%A8%E0%B0%B5%E0%B0%B0%E0%B0%BF",
     "AB%E0%B0%BF%E0%B0%AC%E0%B1%8D%E0%B0%B0%E0%B0%B5%E0%B0%B0%E0%B0%BF",
     "AE%E0%B0%BE%E0%B0%B0%E0%B1%8D%E0%B0%9A%E0%B0%BF",
     "8F%E0%B0%AA%E0%B1%8D%E0%B0%B0%E0%B0%BF%E0%B0%B2%E0%B1%8D",
     "AE%E0%B1%87",
     "9C%E0%B1%82%E0%B0%A8%E0%B1%8D",
     "9C%E0%B1%82%E0%B0%B2%E0%B1%88",
     "86%E0%B0%97%E0%B0%B7%E0%B1%8D%E0%B0%9F%E0%B1%81",
     "B8%E0%B1%86%E0%B0%AA%E0%B1%8D%E0%B0%9F%E0%B1%86%E0%B0%82%E0%B0%AC%E0%B0%B0%E0%B1%8D",
     "85%E0%B0%95%E0%B1%8D%E0%B0%9F%E0%B1%8B%E0%B0%AC%E0%B0%B0%E0%B1%8D",
     "A8%E0%B0%B5%E0%B0%82%E0%B0%AC%E0%B0%B0%E0%B1%8D",
     "A1%E0%B0%BF%E0%B0%B8%E0%B1%86%E0%B0%82%E0%B0%AC%E0%B0%B0%E0%B1%8D"]},
 "tet"=>{:ACE=>"<year>"},
 "tg"=>{:ACE=>"<year>"},
 "tpi"=>{:ACE=>"<year>"},
 "tt"=>
  {:ACE=>"<year>_%D0%B5%D0%BB",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["0%B3%D1%8B%D0%B9%D0%BD%D0%B2%D0%B0%D1%80",
     "1%84%D0%B5%D0%B2%D1%80%D0%B0%D0%BB%D1%8C",
     "0%BC%D0%B0%D1%80%D1%82",
     "0%B0%D0%BF%D1%80%D0%B5%D0%BB%D1%8C",
     "0%BC%D0%B0%D0%B9",
     "0%B8%D1%8E%D0%BD%D1%8C",
     "0%B8%D1%8E%D0%BB%D1%8C",
     "0%B0%D0%B2%D0%B3%D1%83%D1%81%D1%82",
     "1%81%D0%B5%D0%BD%D1%82%D1%8F%D0%B1%D1%80%D1%8C",
     "0%BE%D0%BA%D1%82%D1%8F%D0%B1%D1%80%D1%8C",
     "0%BD%D0%BE%D1%8F%D0%B1%D1%80%D1%8C",
     "0%B4%D0%B5%D0%BA%D0%B0%D0%B1%D1%80%D1%8C"]},
 "ty"=>{:ACE=>"<year>"},
 "udm"=>{:ACE=>"<year>_%D0%B0%D1%80"},
 "ur"=>
  {:ACE=>"<year>%D8%A1",
   :DAY=>"<day>_%D<month>",
   :MONTHS=>
    ["8%AC%D9%86%D9%88%D8%B1%DB%8C",
     "9%81%D8%B1%D9%88%D8%B1%DB%8C",
     "9%85%D8%A7%D8%B1%DA%86",
     "8%A7%D9%BE%D8%B1%DB%8C%D9%84",
     "9%85%D8%A6%DB%8C",
     "8%AC%D9%88%D9%86",
     "8%AC%D9%88%D9%84%D8%A7%D8%A6%DB%8C",
     "8%A7%DA%AF%D8%B3%D8%AA",
     "8%B3%D8%AA%D9%85%D8%A8%D8%B1",
     "8%A7%DA%A9%D8%AA%D9%88%D8%A8%D8%B1",
     "9%86%D9%88%D9%85%D8%A8%D8%B1",
     "8%AF%D8%B3%D9%85%D8%A8%D8%B1"]},
 "vls"=>
  {:ACE=>"<year>",
   :DAY=>"<day>_<month>",
   :MONTHS=>
    ["januoari",
     "februoari",
     "moarte",
     "april",
     "meie",
     "juni",
     "juli",
     "ogustus",
     "september",
     "oktober",
     "november",
     "december"]},
 "wa"=>{:ACE=>"<year>"},
 "wuu"=>{:ACE=>"<year>%E5%B9%B4"},
 "xal"=>{:ACE=>"<year>_%D2%97%D0%B8%D0%BB"},
 "yi"=>
  {:ACE=>"<year>",
   :DAY=>"<day>%D7%98%D7%9F_%D7%<month>",
   :MONTHS=>
    ["99%D7%90%D7%A0%D7%95%D7%90%D7%A8",
     "A4%D7%A2%D7%91%D7%A8%D7%95%D7%90%D7%A8",
     "9E%D7%A2%D7%A8%D7%A5",
     "90%D7%A4%D7%A8%D7%99%D7%9C",
     "9E%D7%99%D7%99",
     "99%D7%95%D7%A0%D7%99",
     "99%D7%95%D7%9C%D7%99",
     "90%D7%95%D7%99%D7%92%D7%95%D7%A1%D7%98",
     "A1%D7%A2%D7%A4%D7%98%D7%A2%D7%9E%D7%91%D7%A2%D7%A8",
     "90%D7%A7%D7%98%D7%90%D7%91%D7%A2%D7%A8",
     "A0%D7%90%D7%95%D7%95%D7%A2%D7%9E%D7%91%D7%A2%D7%A8",
     "93%D7%A2%D7%A6%D7%A2%D7%9E%D7%91%D7%A2%D7%A8"],
   :DAYS=>
    ["1",
     "2",
     "3",
     "4",
     "5",
     "6",
     "7",
     "8",
     "9",
     "10",
     "11",
     "12",
     "13",
     "14",
     "15",
     "16",
     "17",
     "18",
     "19",
     "20%D7%A1",
     "21%D7%A1",
     "22%D7%A1",
     "23%D7%A1",
     "24%D7%A1",
     "25%D7%A1",
     "26%D7%A1",
     "27%D7%A1",
     "28%D7%A1",
     "29%D7%A1",
     "30%D7%A1",
     "31%D7%A1"]},
 "zh-min-nan"=>
  {:ACE=>"<year>_n%C3%AE", :DAY=>"<month>_goe%CC%8Dh_<day>_ji%CC%8Dt"},
 "dv"=>
  {:DAY=>"%DE%<month>_<day>",
   :MONTHS=>
    ["96%DE%AC%DE%82%DE%AA%DE%87%DE%A6%DE%83%DE%A9",
     "8A%DE%AC%DE%84%DE%B0%DE%83%DE%AA%DE%87%DE%A6%DE%83%DE%A9",
     "89%DE%A7%DE%83%DE%97%DE%B0",
     "87%DE%AC%DE%95%DE%B0%DE%83%DE%A9%DE%8D%DE%B0",
     "89%DE%AC%DE%87%DE%A8",
     "96%DE%AB%DE%82%DE%B0",
     "96%DE%AA%DE%8D%DE%A6%DE%87%DE%A8",
     "87%DE%AE%DE%8E%DE%A6%DE%90%DE%B0%DE%93%DE%AA",
     "90%DE%AC%DE%95%DE%B0%DE%93%DE%AC%DE%89%DE%B0%DE%84%DE%A6%DE%83%DE%AA",
     "87%DE%AE%DE%86%DE%B0%DE%93%DE%AB%DE%84%DE%A6%DE%83%DE%AA",
     "82%DE%AE%DE%88%DE%AC%DE%89%DE%B0%DE%84%DE%A6%DE%83%DE%AA",
     "91%DE%A8%DE%90%DE%AC%DE%89%DE%B0%DE%84%DE%A6%DE%83%DE%AA"]},
 "ext"=>
  {:DAY=>"<day>_<month>",
   :MONTHS=>
    ["eneru",
     "hebreru",
     "mar%C3%A7u",
     "abril",
     "mayu",
     "ju%C3%B1u",
     "j%C3%BAliu",
     "agostu",
     "setiembri",
     "outubri",
     "noviembri",
     "diziembri"]},
 "gu"=>
  {:DAY=>"%E0%AA%<month>_%E0%AB%A<day>",
   :MONTHS=>
    ["9C%E0%AA%BE%E0%AA%A8%E0%AB%8D%E0%AA%AF%E0%AB%81%E0%AA%86%E0%AA%B0%E0%AB%80",
     "AB%E0%AB%87%E0%AA%AC%E0%AB%8D%E0%AA%B0%E0%AB%81%E0%AA%86%E0%AA%B0%E0%AB%80",
     "AE%E0%AA%BE%E0%AA%B0%E0%AB%8D%E0%AA%9A",
     "8F%E0%AA%AA%E0%AB%8D%E0%AA%B0%E0%AA%BF%E0%AA%B2",
     "AE%E0%AB%87",
     "9C%E0%AB%82%E0%AA%A8",
     "9C%E0%AB%81%E0%AA%B2%E0%AA%BE%E0%AA%87",
     "93%E0%AA%97%E0%AA%B8%E0%AB%8D%E0%AA%9F",
     "B8%E0%AA%AA%E0%AB%8D%E0%AA%9F%E0%AB%87%E0%AA%AE%E0%AB%8D%E0%AA%AC%E0%AA%B0",
     "93%E0%AA%95%E0%AB%8D%E0%AA%9F%E0%AB%8B%E0%AA%AC%E0%AA%B0",
     "A8%E0%AA%B5%E0%AB%87%E0%AA%AE%E0%AB%8D%E0%AA%AC%E0%AA%B0",
     "A1%E0%AA%BF%E0%AA%B8%E0%AB%87%E0%AA%AE%E0%AB%8D%E0%AA%AC%E0%AA%B0"],
   :DAYS=>
    ["7",
     "8",
     "9",
     "A",
     "B",
     "C",
     "D",
     "E",
     "F",
     "7%E0%AB%A6",
     "7%E0%AB%A7",
     "7%E0%AB%A8",
     "7%E0%AB%A9",
     "7%E0%AB%AA",
     "7%E0%AB%AB",
     "7%E0%AB%AC",
     "7%E0%AB%AD",
     "7%E0%AB%AE",
     "7%E0%AB%AF",
     "8%E0%AB%A6",
     "8%E0%AB%A7",
     "8%E0%AB%A8",
     "8%E0%AB%A9",
     "8%E0%AB%AA",
     "8%E0%AB%AB",
     "8%E0%AB%AC",
     "8%E0%AB%AD",
     "8%E0%AB%AE",
     "8%E0%AB%AF",
     "9%E0%AB%A6",
     "9%E0%AB%A7"]},
 "kl"=>
  {:DAY=>"<month>i_<day>",
   :MONTHS=>
    ["Jannuaar",
     "Februaar",
     "Marts",
     "Apriil",
     "Maaj",
     "Juun",
     "Juul",
     "Aggust",
     "September",
     "Oktober",
     "November",
     "December"]},
 "xmf"=>
  {:DAY=>"<day>_%E1%83%<month>",
   :MONTHS=>
    ["A6%E1%83%A3%E1%83%A0%E1%83%97%E1%83%A3%E1%83%97%E1%83%90",
     "A4%E1%83%A3%E1%83%A0%E1%83%97%E1%83%A3%E1%83%97%E1%83%90",
     "9B%E1%83%94%E1%83%9A%E1%83%90%E1%83%AE%E1%83%98",
     "9E%E1%83%98%E1%83%A0%E1%83%94%E1%83%9A%E1%83%98",
     "9B%E1%83%94%E1%83%A1%E1%83%98",
     "9B%E1%83%90%E1%83%9C%E1%83%92%E1%83%98",
     "99%E1%83%95%E1%83%98%E1%83%A0%E1%83%99%E1%83%95%E1%83%94",
     "9B%E1%83%90%E1%83%A0%E1%83%90%E1%83%A8%E1%83%98%E1%83%9C%E1%83%90%E1%83%97%E1%83%A3%E1%83%97%E1%83%90",
     "94%E1%83%99%E1%83%94%E1%83%9C%E1%83%98%E1%83%90",
     "92%E1%83%B7%E1%83%9B%E1%83%90%E1%83%97%E1%83%A3%E1%83%97%E1%83%90",
     "92%E1%83%94%E1%83%A0%E1%83%92%E1%83%9D%E1%83%91%E1%83%90%E1%83%97%E1%83%A3%E1%83%97%E1%83%90",
     "A5%E1%83%98%E1%83%A0%E1%83%A1%E1%83%94%E1%83%97%E1%83%A3%E1%83%97%E1%83%90"]}}
  end
end
