# -*- coding: utf-8 -*-
=begin
  Copyright (C) 2011-2014 Takashi SUGA

  You may use and/or modify this file according to the license described in the LICENSE.txt file included in this archive.
=end

class When::TM::CalendarEra

  #
  # 皇紀
  #
  NihonKoki = [self, [
    "locale:[=ja:, en=en:, alias]",
    "area:[日本]",
    ["[皇紀=ja:%%<神武天皇即位紀元>]1",		"@A",	"-659-01-01^JapaneseTwin::平朔儀鳳暦"],
    ["[皇紀=ja:%%<神武天皇即位紀元>]1114",	"@CR",	"0454-01-01^Japanese"],
    ["[皇紀=ja:%%<神武天皇即位紀元>]2533",	"@CR",	"1873-01-01^Gregorian"]
  ]]

  #
  # 日本書紀暦日
  #
  NihonShoki = [self, [
    "locale:[=ja:, en=en:, alias]",
    "period:[日本(日本書紀)=ja:%%<日本書紀>, (Nihon_Shoki)=en:Nihon_Shoki]",
    ["[<神武>=ja:%%<神武天皇>]1",	"@A",	"name=[神武=ja:%%<神武天皇>];-659-01-01^JapaneseTwin::平朔儀鳳暦"],
    ["[<綏靖>=ja:%%<綏靖天皇>]1",	"@A",	"name=[綏靖=ja:%%<綏靖天皇>];-580-01-08"],
    ["[<安寧>=ja:%%<安寧天皇>]0",	"@A",	"name=[安寧=ja:%%<安寧天皇>];-548-07-03"],
    ["[<懿徳>=ja:%%<懿徳天皇>]1",	"@A",	"name=[懿徳=ja:%%<懿徳天皇>];-509-02-04"],
    ["[<孝昭>=ja:%%<孝昭天皇>]1",	"@A",	"name=[孝昭=ja:%%<孝昭天皇>];-474-01-09"],
    ["[<孝安>=ja:%%<孝安天皇>]1",	"@A",	"name=[孝安=ja:%%<孝安天皇>];-391-01-07"],
    ["[<孝霊>=ja:%%<孝霊天皇>]1",	"@A",	"name=[孝霊=ja:%%<孝霊天皇>];-289-01-12"],
    ["[<孝元>=ja:%%<孝元天皇>]1",	"@A",	"name=[孝元=ja:%%<孝元天皇>];-213-01-14"],
    ["[<開化>=ja:%%<開化天皇>]0",	"@A",	"name=[開化=ja:%%<開化天皇>];-157-11-12"],
    ["[<崇神>=ja:%%<崇神天皇>]1",	"@A",	"name=[崇神=ja:%%<崇神天皇>];-096-01-13"],
    ["[<垂仁>=ja:%%<垂仁天皇>]1",	"@A",	"name=[垂仁=ja:%%<垂仁天皇>];-028-01-02"],
    ["[<景行>=ja:%%<景行天皇>]1",	"@A",	"name=[景行=ja:%%<景行天皇>];0071-07-11"],
    ["[<成務>=ja:%%<成務天皇>]1",	"@A",	"name=[成務=ja:%%<成務天皇>];0131-01-05"],
    ["[<仲哀>=ja:%%<仲哀天皇>]1",	"@A",	"name=[仲哀=ja:%%<仲哀天皇>];0192-01-11"],
    ["[<神功皇后>=ja:%%<神功皇后>]0",  "@A","name=[神功皇后=ja:%%<神功皇后>];0200-02-07"],
    ["[<応神>=ja:%%<応神天皇>]1",	"@A",	"name=[応神=ja:%%<応神天皇>];0270-01-01"],
    ["[<仁徳>=ja:%%<仁徳天皇>]1",	"@A",	"name=[仁徳=ja:%%<仁徳天皇>];0313-01-03"],
    ["[<履中>=ja:%%<履中天皇>]1",	"@A",	"name=[履中=ja:%%<履中天皇>];0400-02-01"],
    ["[<反正>=ja:%%<反正天皇>]1",	"@A",	"name=[反正=ja:%%<反正天皇>];0406-01-02"],
    ["[<允恭>=ja:%%<允恭天皇>]1",	"@A",	"name=[允恭=ja:%%<允恭天皇>];0412-12"],
    ["[<安康>=ja:%%<安康天皇>]0",	"@A",	"name=[安康=ja:%%<安康天皇>];0453-12-14^ChineseTwin::元嘉暦"],
    ["[<雄略>=ja:%%<雄略天皇>]0",	"@A",	"name=[雄略=ja:%%<雄略天皇>];0456-11-13"],
    ["[<清寧>=ja:%%<清寧天皇>]1",	"@A",	"name=[清寧=ja:%%<清寧天皇>];0480-01-15"],
    ["[<顕宗>=ja:%%<顕宗天皇>]1",	"@A",	"name=[顕宗=ja:%%<顕宗天皇>];0485-01-01"],
    ["[<仁賢>=ja:%%<仁賢天皇>]1",	"@A",	"name=[仁賢=ja:%%<仁賢天皇>];0488-01-05"],
    ["[<武烈>=ja:%%<武烈天皇>]0",	"@A",	"name=[武烈=ja:%%<武烈天皇>];0498-12"],
    ["[<継体>=ja:%%<継体天皇>]1",	"@A",	"name=[継体=ja:%%<継体天皇>];0507-02-04"],
    ["[<安閑>=ja:%%<安閑天皇>]1",	"@A",	"name=[安閑=ja:%%<安閑天皇>];0534"],
    ["[<宣化>=ja:%%<宣化天皇>]0",	"@A",	"name=[宣化=ja:%%<宣化天皇>];0535-12"],
    ["[<欽明>=ja:%%<欽明天皇>]0",	"@A",	"name=[欽明=ja:%%<欽明天皇>];0539-12-05"],
    ["[<敏達>=ja:%%<敏達天皇>]1",	"@A",	"name=[敏達=ja:%%<敏達天皇>];0572-04-03"],
    ["[<用明>=ja:%%<用明天皇>]0",	"@A",	"name=[用明=ja:%%<用明天皇>];0585-09-05"],
    ["[<崇峻>=ja:%%<崇峻天皇>]0",	"@A",	"name=[崇峻=ja:%%<崇峻天皇>];0587-08-02"],
    ["[<推古>=ja:%%<推古天皇>]0",	"@A",	"name=[推古=ja:%%<推古天皇>];0592-12-08"],
    ["[<舒明>=ja:%%<舒明天皇>]1",	"@A",	"name=[舒明=ja:%%<舒明天皇>];0629-01-04"],
    ["[<皇極>=ja:%%<皇極天皇>]1",	"@A",	"name=[皇極=ja:%%<皇極天皇>];0642-01-15"],
    ["[大化]1",				"@A",	"name=[孝徳=ja:%%<孝徳天皇>];0645-06-19"],
    ["[白雉]1",				"@FE",			"	     0650-02-15"],
    ["[<斉明>=ja:%%<皇極天皇>]1",	"@A",	"name=[斉明=ja:%%<皇極天皇>];0655-01-03"],
    ["[<天智>=ja:%%<天智天皇>]1",	"@A",	"name=[天智=ja:%%<天智天皇>];0662-01-01"],
    ["[<天武>=ja:%%<天武天皇>]1",	"@A",	"name=[天武=ja:%%<天武天皇>];0672-01-01"],
    ["[朱鳥]1",			"",					    "0686-07-20", "0687-01-01"]
  ]]
end
